%global momorel 1
%global md5sum_src0 4563eeebae66828e30b72e2c1d90a92c

Summary: D-BUS message bus glib
Name: dbus-glib
Version: 0.73
Release: %{momorel}m%{?dist}
URL: http://www.freedesktop.org/Software/dbus
%NoSource 0 http://dbus.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
Patch0: http://ftp.gnome.org/pub/GNOME/teams/releng/2.16.2/dbus-glib-build.patch
License: "AFL/GPL"
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: pkgconfig
BuildPrereq: libxml2-devel >= 2.6.27
BuildPrereq: dbus-devel >= 1.0.2
BuildPrereq: xmlto
BuildPrereq: doxygen

%description
A core concept of the D-BUS implementation is that "libdbus" is
intended to be a low-level API, similar to Xlib. Most programmers are
intended to use the bindings to GLib, Qt, Python, Mono, Java, or
whatever. These bindings have varying levels of completeness.

%package devel
Summary: D-BUS message bus glib devel
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
dbus-glib devel

%prep
%setup -q
%patch0 -p1 -b .gnome-2.16.2

%build

%configure --enable-xml-docs --enable-doxygen-docs --program-prefix=""
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog HACKING NEWS README
%{_bindir}/dbus-binding-tool
%{_libdir}/libdbus-glib-1.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/dbus-1.0/dbus/dbus-glib-bindings.h
%{_includedir}/dbus-1.0/dbus/dbus-glib-error-enum.h
%{_includedir}/dbus-1.0/dbus/dbus-glib-lowlevel.h
%{_includedir}/dbus-1.0/dbus/dbus-glib.h
%{_includedir}/dbus-1.0/dbus/dbus-gtype-specialized.h
%{_libdir}/libdbus-glib-1.a
%{_libdir}/libdbus-glib-1.so
%{_libdir}/pkgconfig/dbus-glib-1.pc
%{_datadir}/gtk-doc/html/%{name}

%changelog
* Fri Mar  2 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.73-1m)
- update to 0.73

* Tue Feb 20 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.72-2m)
- add BuildPrereq: doxygen

* Tue Feb  6 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.72-1m)
- update to 0.72

* Wed Jan 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.71-3m)
- add patch for gnome-2.16.2

* Thu Jan  4 2007 zunda <zunda at fresehll.org>
- (kossori)
- added BuildPrereq: xmlto which is checked by the configure script

* Sat Sep  2 2006  Nishio Futoshi <futoshi@momonga-linux.org>
- (0.71-2m)
- add %%post %%postun script

* Thu Aug 31 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.71-1m)
- initial build
